QuantLib: MakeCms Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
MakeCms Class Reference

helper class for instantiating CMS More...

`#include <ql/instruments/makecms.hpp>`

## Public Member Functions
| MakeCms (const Period &swapTenor, const boost::shared_ptr< SwapIndex > &swapIndex, const boost::shared_ptr< IborIndex > &iborIndex, Spread iborSpread=0.0, const Period &forwardStart=0 *Days)
| MakeCms (const Period &swapTenor, const boost::shared_ptr< SwapIndex > &swapIndex, Spread iborSpread=0.0, const Period &forwardStart=0 *Days)
| operator Swap () const
| operator boost::shared_ptr< Swap > () const
MakeCms & | receiveCms (bool flag=true)
MakeCms & | withNominal (Real n)
MakeCms & | withEffectiveDate (const Date &)
MakeCms & | withCmsLegTenor (const Period &t)
MakeCms & | withCmsLegCalendar (const Calendar &cal)
MakeCms & | withCmsLegConvention (BusinessDayConvention bdc)
MakeCms & | withCmsLegTerminationDateConvention (BusinessDayConvention)
MakeCms & | withCmsLegRule (DateGeneration::Rule r)
MakeCms & | withCmsLegEndOfMonth (bool flag=true)
MakeCms & | withCmsLegFirstDate (const Date &d)
MakeCms & | withCmsLegNextToLastDate (const Date &d)
MakeCms & | withCmsLegDayCount (const DayCounter &dc)
MakeCms & | withFloatingLegTenor (const Period &t)
MakeCms & | withFloatingLegCalendar (const Calendar &cal)
MakeCms & | withFloatingLegConvention (BusinessDayConvention bdc)
MakeCms & | withFloatingLegTerminationDateConvention (BusinessDayConvention bdc)
MakeCms & | withFloatingLegRule (DateGeneration::Rule r)
MakeCms & | withFloatingLegEndOfMonth (bool flag=true)
MakeCms & | withFloatingLegFirstDate (const Date &d)
MakeCms & | withFloatingLegNextToLastDate (const Date &d)
MakeCms & | withFloatingLegDayCount (const DayCounter &dc)
MakeCms & | withAtmSpread (bool flag=true)
MakeCms & | withDiscountingTermStructure (const Handle< YieldTermStructure > &discountingTermStructure)
MakeCms & | withCmsCouponPricer (const boost::shared_ptr< CmsCouponPricer > &couponPricer)

## Detailed Description

helper class for instantiating CMS

This class provides a more comfortable way to instantiate standard market constant maturity swap.